import { type Base, genBase } from "./_base"
import { docTypeLabel, } from '~/lib/constants'
import { genEmployee, type Employee } from "./employee"
import { genEncounter, type Encounter } from "./encounter"

export interface EncounterDocument extends Base {
  encounter_id: number
  encounter?: Encounter
  upload_employee_id: number
  employee?: Employee
  type_code: string
  name: string
  filePath: string
  fileName: string
}

export function genEncounterDocument(): EncounterDocument {
  return {
    ...genBase(),
    encounter_id: 2,
    encounter: genEncounter(),
    upload_employee_id: 0,
    employee: genEmployee(),
    type_code: docTypeLabel["encounter-patient"],
    name: 'example',
    filePath: 'https://bing.com',
    fileName: 'example',
  }
}
